commit:     69c82d79e141ad39686e67381eecff98ab7fc9fc
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 23 01:04:23 2018 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Apr 23 01:04:42 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69c82d79

sci-libs/hypre: version bump to 2.11.2

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 sci-libs/hypre/Manifest            |   1 +
 sci-libs/hypre/hypre-2.11.2.ebuild | 107 +++++++++++++++++++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/sci-libs/hypre/Manifest b/sci-libs/hypre/Manifest
index e6fa2a2a2b2..2918d22cf01 100644
--- a/sci-libs/hypre/Manifest
+++ b/sci-libs/hypre/Manifest
@@ -1,2 +1,3 @@
 DIST hypre-2.11.1.tar.gz 8054149 BLAKE2B 
207d382b08ac67e09d55e323b86f84a0a7247baf21275c8774bf555c99401aa28f2ae6d4010a63d0c299a702a7b93a85ea98aed51ea5c8c8b31e4587760895d1
 SHA512 
4266c1b5225bcc97781246475100382f4929d7c918c854570a36b90602e8f111a4893cd1c93b95c68305c851898b970dd92ac173efe9211be5bb914d3c3c5d83
+DIST hypre-2.11.2.tar.gz 8077407 BLAKE2B 
d51a40d015f03757425da1fbc113a2647c267d1d47bebe343f2cd84983349cdbdb0e5b51a3c253edcab3d54f352158f0e263afcce592157b64202af471d642c6
 SHA512 
a06321028121e5420fa944ce4fae5f9b96e6021ec2802e68ec3c349f19a20543ed7eff774a4735666c5807ce124eb571b3f86757c67e91faa1c683c3f657469f
 DIST hypre-2.9.0b.tar.gz 9053035 BLAKE2B 
1bde86f88545d24617673a0c0c8c7458399bd7220a0ffe25ab4c9772e1c802c9b51ceaf716e843e236df1fd673bbd171642726590efdbb100821c3d3e54bacd7
 SHA512 
6856f2c80eaf669258d73a36a59c0fd0f43e20a5b2e633b6aefbccf41f5217ea821a6201dadc0de2b17a039ba9f53d98031f0b091e3db552cc5251a4f766acb8

diff --git a/sci-libs/hypre/hypre-2.11.2.ebuild 
b/sci-libs/hypre/hypre-2.11.2.ebuild
new file mode 100644
index 00000000000..f6aa3e5337b
--- /dev/null
+++ b/sci-libs/hypre/hypre-2.11.2.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+FORTRAN_NEEDED=fortran
+
+inherit cmake-utils fortran-2 toolchain-funcs flag-o-matic
+
+DESCRIPTION="Parallel matrix preconditioners library"
+HOMEPAGE="https://computation.llnl.gov/projects/hypre-scalable-linear-solvers-multigrid-methods";
+SRC_URI="${HOMEPAGE}/download/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug doc examples fei fortran int64 openmp mpi"
+
+RDEPEND="
+       sci-libs/superlu:=
+       virtual/blas
+       virtual/lapack
+       mpi? ( virtual/mpi )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+DOCS=( CHANGELOG COPYRIGHT README )
+
+# 2.11.1: fei and mli wrappers still buggy with big integers
+REQUIRED_USE="int64? ( !fei )"
+
+pkg_pretend() {
+       [[ ${MERGE_TYPE} != binary ]] &&\
+               use openmp && [[ $(tc-getCC)$ == *gcc* ]] && tc-check-openmp
+}
+
+pkg_setup() {
+       if [[ ${MERGE_TYPE} != binary ]] && \
+                  use openmp && [[ $(tc-getCC)$ == *gcc* ]] && ! tc-has-openmp 
; then
+               ewarn "You are using a non capable gcc compiler ( < 4.2 ? )"
+               die "Need an OpenMP capable compiler"
+       fi
+}
+
+src_prepare() {
+       default
+       # link with system superlu and propagate LDFLAGS
+       sed -e "s:@LIBS@:@LIBS@ $($(tc-getPKG_CONFIG) --libs superlu):" \
+               -e 's:_SHARED@:_SHARED@ $(LDFLAGS):g' \
+               -i src/config/Makefile.config.in || die
+       sed -e '/HYPRE_ARCH/s: = :=:g' \
+               -i src/configure || die
+       # link with system blas and lapack
+       sed -e '/^BLASFILES/d' \
+               -e '/^LAPACKFILES/d' \
+               -i src/lib/Makefile || die
+}
+
+src_configure() {
+       tc-export CC CXX
+       append-flags -Dhypre_dgesvd=dgesvd_
+       use openmp && [[ $(tc-getCC)$ == *gcc* ]] && \
+               append-flags -fopenmp && append-ldflags -fopenmp
+       use mpi && CC=mpicc FC=mpif77 CXX=mpicxx
+
+       cd src
+
+       # without-superlu: means do not use bundled one
+       econf \
+               --enable-shared \
+               --with-blas-libs="$($(tc-getPKG_CONFIG) --libs-only-l blas | 
sed -e 's/-l//g')" \
+               --with-blas-lib-dirs="$($(tc-getPKG_CONFIG) --libs-only-L blas 
| sed -e 's/-L//g')" \
+               --with-lapack-libs="$($(tc-getPKG_CONFIG) --libs-only-l lapack 
| sed -e 's/-l//g')" \
+               --with-lapack-lib-dirs="$($(tc-getPKG_CONFIG) --libs-only-L 
lapack | sed -e 's/-L//g')" \
+               --with-timing \
+               --without-superlu \
+               $(use_enable debug) \
+               $(use_enable openmp hopscotch) \
+               $(use_enable int64 bigint) \
+               $(use_enable fortran) \
+               $(use_with fei) \
+               $(use_with fei mli) \
+               $(use_with openmp) \
+               $(use_with mpi MPI)
+}
+
+src_compile() {
+       emake -C src
+}
+
+src_test() {
+       LD_LIBRARY_PATH="${S}/src/lib:${LD_LIBRARY_PATH}" \
+                                  PATH="${S}/src/test:${PATH}" \
+                                  emake -C src check
+}
+
+src_install() {
+       emake -C src install \
+                 HYPRE_INSTALL_DIR="${ED}" \
+                 HYPRE_LIB_INSTALL="${ED}/usr/$(get_libdir)" \
+                 HYPRE_INC_INSTALL="${ED}$/usr/include/hypre"
+       use doc && dodoc docs/*.pdf
+       if use examples; then
+               insinto /usr/share/doc/${PF}
+               doins -r src/examples
+       fi
+}

Reply via email to